> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/move-sdk-1.x/sdk/appendix/android/token-refresh.md).

# Token refresh

At initialization of the SDK valid credentials [MoveAuth](/move-platform/move-sdk-1.x/sdk/models/moveauth.md) is required. The accessToken is only valid for a short period of time. With the refresh token, the MOVE SDK tries to get a new accessToken. This can be done as long as the refreshToken is valid. \
\
As soon as it is not possible anymore to get a new accessToken, the host application will be notified via the *AuthStateUpdateListener* and the [MoveAuthState ](/move-platform/move-sdk-1.x/sdk/models/moveauthstate.md)changes to *Expired .*&#x57;hen this happens, the host app is responsible to provide new [MoveAuth ](/move-platform/move-sdk-1.x/sdk/models/moveauth.md)credentials and pass it to the SDK at initialization or via [updateAuth](/move-platform/move-sdk-1.x/sdk/api-interface/android-1/android.md#update-authentication)\
\
The MOVE SDK keeps collecting data and trips as long as the SDK remains in state Running. A token expiry will not stop the detection, but is unable to transmit any data.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.movesdk.com/move-platform/move-sdk-1.x/sdk/appendix/android/token-refresh.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
